Subject: Re: [patch 3/4] 4xx: Convert Walnut flash mappings to new binding

From: Wolfgang Denk <[email-masked]>
Date: Sat, 15 Sep 2007 17:09:01 +0200

In message <[email-masked]> Josh Boyer wrote:
> On Sat, 2007-09-15 at 05:23 +0200, Stefan Roese wrote:
...
> > There are not only Bamboo board running PIBS, but running U-Boot too. How 
> > should we handle this different FLASH partitioning? Same goes for Ebony too 
> > btw.
> 
> That's a good question.  I'm working on making the NOR flash show up for
> Bamboo right now, and I had intended to just leave the partition
> subnodes missing.

Maybe we can have  U-Boot  add  the  partition  information  if  it's
missing in the device tree, and extend the mtdparts command in U-Boot
to add / adjust settings so they match what is defined in U-Boot.

Stefan, what do you think?

Best regards,

Wolfgang Denk

-- 
DENX Software Engineering GmbH,     MD: Wolfgang Denk & Detlev Zundel
HRB 165235 Munich, Office: Kirchenstr.5, D-82194 Groebenzell, Germany
Phone: (+49)-8142-66989-10 Fax: (+49)-8142-66989-80 Email: [email-masked]
Without facts, the decision cannot be made logically. You  must  rely
on your human intuition.
	-- Spock, "Assignment: Earth", stardate unknown